%define oname crunchyfrog-gnome
%define name crunchyfrog
%define version 0.4.1
%define release %mkrel 3

Summary: CrunchyFrog is a database front-end for Gnome.
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:	 http://code.google.com/p/crunchyfrog/
Source: %{name}-%{version}.tar.xz
Source1: Makefile.tar.bz2
License: GPL v3
Group:   Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{oname}-%{version}-%{release}-root
BuildRequires: python-setuptools
BuildRequires: python-devel >= 2.6
BuildRequires: python-sphinx
BuildRequires: pyxdg
BuildArch: noarch
Requires: python >= 2.6
Requires: pygtk2.0 >= 2.12
Requires: pygtk2.0-libglade >= 2.12
Requires: python-lxml >= 0.9
Requires: python-configobj >= 4.4.0
Requires: python-sqlite2 >= 2.0.5
Requires: python-sexy
Requires: python-sphinx
Requires: ipython
Requires: python-simplejson
Requires: gnome-python
Requires: gnome-python-desktop
Requires: dbus-python
Requires: pygtksourceview
Requires: gnome-python-extras
Requires: pygtksourceview
Requires: gnome-python-gconf
Requires: pyxdg
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2



%description
CrunchyFrog is a database front-end for Gnome.

    * Supports various databases (PostreSQL, MySQL, SQLite, Oracle, SQLServer, LDAP).
    * Lightweight user interface for daily tasks.
    * SQL editor with syntax highlighting.
    * Export results to CSV and OpenOffice.
    * Inspect database objects.
    * Supports multiple database connections at once (e.g. for switching between development and production environments). 

%description -l de
CrunchyFrog ist ein Werkzeug womit Sie von den Datenbanken: 
PostgreSQL, MySQL, SQLite, Oracle, LDAP und MSSQL ein Datenbank-Schema erstellen können. 
* Einfache Benutzer Schnittstelle für tägliche Aufgaben
* SQL Editor mit Synthax Hervorhebung
* Expotieren von Ergebnisse in CSV und OpenOffice
* Analyse von Datenbank Objekte
* Unterstützt von mehrere Datenbank-Verbindungen gleichzeitig 
  (z. B. zum Umschalten zwischen Entwicklungs-und Produktionsumgebungen).
Lizenz: GNU General Public License

#french
%description -l fr
CrunchyFrog base de données est un front-end pour Gnome.

#spanish
%description -l es
CrunchyFrog es un frente de base de datos para Gnome.

#polish
%description -l pl
CrunchyFrog jest front-end baz danych dla Gnome.

#serbian
%description -l sr
ЦрунцхыФрог је база Фронт-енд за гноме.

#dutch
%description -l nl
CrunchyFrog is een database front-end voor Gnome.


%prep
%setup -q -n %{name}-%{version}
bzip2 -cd %SOURCE1 | tar xf - -C .

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=%{buildroot} 

%find_lang %{name}

desktop-file-install --vendor="" \
  --remove-category="Applications"\
  --remove-category="Development"\
  --remove-category="Database"\
  --add-category="Network" \
  --add-category="X-Mandriva-Linux-MoreApplications-Databases" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 data/%{name}.png %{buildroot}%{_datadir}/pixmaps

# remove
rm -f %{buildroot}%{_datadir}/pixmaps/%{name}.svg
rm -rf docs/manual/build/html/_*

# docs
install -dm 755 %{buildroot}%{_datadir}/doc/%{name}/manual
install -m 644 docs/manual/build/html/* %{buildroot}%{_datadir}/doc/%{name}/manual


%clean
rm -rf $RPM_BUILD_ROOT



%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{py_platsitedir}/cf/*
%ghost %{py_platsitedir}/*.egg-info
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}
%{_datadir}/doc/%{name}/*
%{_datadir}/man/man1/*.1.bz2
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon May 09 2011 Texstar <texstar at gmail.com> 0.4.1-3pclos2011
- add missing pyxdg

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.4.1-2pclos2010
- rebuild

* Thu Sep 01 2009 slick50 <lxgator@gmail.com> 0.4.1-1pclos2009
- 0.4.1
- add BR pyxdg (tex)

* Sat Jul 11 2009 slick50 <lxgator@gmail.com> 0.4.0-1pclos2009
- 0.4.0

* Tue Mar 24 2009 slick50 <lxgator@gmail.com> 0.3.4-1pclos2007
- initial build
